# PDO::pgsqlCopyFromArray

(PHP 5 >= 5.3.3, PHP 7, PHP 8)

PDO::pgsqlCopyFromArray — Copiar datos de un array de PHP a una tabla

### Descripción

public PDO::pgsqlCopyFromArray(
string `$table_name`,
array `$rows`,
string `$delimiter` = '\t',
string `$null_as` = "\\\\N",
string `$fields` = ?
): bool

Copia los datos del array `rows` a la tabla `table_name` empleando `delimiter` como delimitador de campos y la lista de campos `fields`

### Parámetros

`table_name`

  Una cadena que contiene el nombre de la tabla

`rows`

  Un array de cadenas con los campos separados por `delimiter`

`delimiter`

  El delimitador empleado en el array `rows`

`null_as`

  Cómo interpretar valores nulos

`fields`

  El listado de campos a insertar

### Valores devueltos

Devuelve `true` en caso de éxito, o `false` en caso de error.